Skip to main content
Version: 1.6

Admin - Add a new external policy rule

POST 

/admin/policies/add-external-rule

authorization

This API endpoint requires an API Key with at least one of the following Roles: SystemAdmin | PoliciesManager

Add a new policy Rule to the system. A policy rule is a rule that is checked by an external service using REST API. The external service must be reachable by the Vertex. The external service must return a signed JWT with a schema specified in the Sodot technical docs.

Request

Header Parameters

    AUTHORIZATION stringrequired

    The AUTHORIZATION header must be set to the API Key of the user. The API Key is returned when a new user is created using the /admin/create-user endpoint.

Body

required

    jwt_algstringrequired
    namestringrequired
    pubkeystringrequired
    urlurirequired

Responses

Schema

    rule_idRuleIdrequired